Package org.eclipse.team.core.diff

# Class FastDiffFilter

java.lang.Object
org.eclipse.team.core.diff.DiffFilter
org.eclipse.team.core.diff.FastDiffFilter

public abstract class FastDiffFilter extends DiffFilter
A specialized `DiffNodeFilter` that does not require a progress monitor. This enables these filters to be used when determining menu enablement or other operations that must be short running.

Since:
  3.2
See Also:
  - `IDiff`
  - `IDiffTree`
  - `DiffFilter`

## Constructor Summary

Constructors
Constructor
Description
`FastDiffFilter()`

## Method Summary

Modifier and Type
Method
Description
`static final FastDiffFilter`
`getStateFilter(int[] states, int mask)`
`abstract boolean`
`select(IDiff diff)`
Return `true` if the provided `IDiffNode` matches the filter.
`final boolean`
`select(IDiff diff, IProgressMonitor monitor)`
Return `true` if the provided `IDiffNode` matches the filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastDiffFilter

public FastDiffFilter()

## Method Details

### getStateFilter

public static final FastDiffFilter getStateFilter(int[] states, int mask)

### select

public final boolean select(IDiff diff, IProgressMonitor monitor)
Description copied from class: `DiffFilter`
Return `true` if the provided `IDiffNode` matches the filter.

Specified by:
  `select` in class `DiffFilter`
Parameters:
  `diff` - the `IDiffNode` to be tested
  `monitor` - a progress monitor
Returns:
  `true` if the `IDiffNode` matches the filter

### select

public abstract boolean select(IDiff diff)
Return `true` if the provided `IDiffNode` matches the filter.

Parameters:
  `diff` - the `IDiffNode` to be tested
Returns:
  `true` if the `IDiffNode` matches the filter